Bug 823962 - Review Request: apacheds-shared - Shared APIs of Apache Directory Project
Review Request: apacheds-shared - Shared APIs of Apache Directory Project
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Spaulding
Fedora Extras Quality Assurance
:
Depends On: 823959
Blocks: 823964 823967
  Show dependency treegraph
 
Reported: 2012-05-22 10:21 EDT by gil cattaneo
Modified: 2012-09-17 19:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-28 19:26:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mspaulding06: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-05-22 10:21:23 EDT
Spec URL: http://gil.fedorapeople.org/apacheds-shared.spec
SRPM URL: http://gil.fedorapeople.org/apacheds-shared-0.9.19-1.fc16.src.rpm
Description: ApacheDS is an extensible and embeddable directory server
entirely written in Java, which has been certified LDAPv3
compatible by the Open Group. Besides LDAP it supports
Kerberos 5 and the Change Password Protocol. It has been
designed to introduce triggers, stored procedures, queues and
views to the world of LDAP which has lacked these rich
constructs. 

This package contains the shared APIs of the
Apache Directory Project.
Fedora Account System Username: gil
Comment 1 Matt Spaulding 2012-08-18 20:58:53 EDT
RPMLint Output:

apacheds-shared.noarch: W: spelling-error %description -l en_US embeddable -> embedded
apacheds-shared.src: W: spelling-error %description -l en_US embeddable -> embedded
apacheds-shared.src: W: invalid-url Source0: apacheds-shared-0.9.19-src-svn.tar.gz
/home/mspaulding/rpmbuild/SPECS/apacheds-shared.spec: W: invalid-url Source0: apacheds-shared-0.9.19-src-svn.tar.gz
3 packages and 1 specfiles checked; 0 errors, 4 warnings.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: MUST Sources contain only permissible code or content.
[-]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc. [1]
[x]: MUST License field in the package spec file matches the actual license. [2]
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL. [1]
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL. [1]
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass. [3]
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils [4]
[-]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
     Note: No javadoc subpackage present
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[-]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


Everything looks okay to me. Very good!

APPROVED.
Comment 2 gil cattaneo 2012-08-19 05:03:04 EDT
New Package SCM Request
=======================
Package Name: apacheds-shared
Short Description: Shared APIs of Apache Directory Project
Owners: gil
Branches: f17 f18
InitialCC: java-sig
Comment 3 Gwyn Ciesla 2012-08-19 15:55:34 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-08-20 06:47:39 EDT
apacheds-shared-0.9.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/apacheds-shared-0.9.19-1.fc18
Comment 5 Fedora Update System 2012-08-20 07:03:22 EDT
apacheds-shared-0.9.19-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/apacheds-shared-0.9.19-1.fc17
Comment 6 Fedora Update System 2012-08-20 15:51:22 EDT
apacheds-shared-0.9.19-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 7 Fedora Update System 2012-08-28 19:26:29 EDT
apacheds-shared-0.9.19-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 8 Fedora Update System 2012-09-17 19:16:36 EDT
apacheds-shared-0.9.19-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.